package utils

import (
	"fmt"
	"github.com/fonchain_enterprise/utils/feie"
	"log"
	"testing"
)

func TestGet16MD5Encode(t *testing.T) {

	info := feie.PrintInfo{
		Num:       "1829",
		Date:      "4/27",
		DrinkName: "测试",
		Tag:       []string{"香草*5", "焦糖*5", "果子*10"},
		Code:      "测试--徐嘉鸿 13834233425",
	}
	feie := &feie.Feie{
		User: "chenyao@taifeng.ltd",
		Ukey: "8mxyRrjhCKzB4Pde",
		Url:  "http://api.feieyun.cn/Api/Open/",
	}
	res, err := feie.Print("960233232", info)
	fmt.Println(res, err)

}

func TestDecimalToAny(t *testing.T) {
	fmt.Println(DecimalToAny(69))
	IPDict := NewIPDict()
	//载入IP字典
	err := IPDict.Load("../../../conf/qqwry.dat")
	if err != nil {
		log.Fatalln(err)
	}
	//查询IP
	res, err := IPDict.FindIP("114.218.158.24")
	if err != nil {
		log.Fatalln(err)
	}
	log.Println(res)
	log.Println(res.Area)
	log.Println(res.Country)
}
