package verifica

import (
	"fmt"
	"github.com/fonchain_enterprise/micro-account/pkg/config"
	"testing"
)

func TestSendCustomMsg(t *testing.T) {

	msgInfo := config.MobileConfigTemplate{
		AK:  "N7469940cf",
		SK:  "74699ca8e1ea8f80",
		URL: "https://api.4321.sh/sms/template",
	}
	almsgInfo := config.AliMessage{
		AK:  "LTAI5tFLAxtbtTsD4xAEtWcr",
		AS:  "ooHMm6GuRs1InieHojZaTjEJAMquKX",
		URL: "dysmsapi.aliyuncs.com",
	}
	fmt.Println("短信配置", msgInfo)
	config.LoadData(msgInfo, almsgInfo)

	mobileTemplate := config.GetMobile()

	fmt.Println(mobileTemplate.Send("18362666451", 136784, 155123, "用印申请0||https://dwz.cn/gwc1q4D8"))

}
