package config

import (
	"github.com/fonchain_enterprise/utils/mobile"
)

var MobileConfig MobileConfigTemplate
var mobileTemplate mobile.Message
var mobileAlTemplate mobile.AliMessage

type MobileConfigTemplate struct {
	AK  string
	SK  string
	URL string
}
type AliMessage struct {
	AK  string
	AS  string
	URL string
}

func GetMobile() mobile.Message {
	return mobileTemplate
}

func GetAlMobile() mobile.AliMessage {
	return mobileAlTemplate
}

func LoadData(info MobileConfigTemplate, alInfo AliMessage) {
	mobileTemplate = mobile.NewFeiGe(info.AK, info.SK, info.URL)
	mobileAlTemplate = mobile.NewAli(alInfo.AK, alInfo.AS, alInfo.URL)
}
