-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.7.38 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Linux
-- HeidiSQL 版本:                  12.0.0.6468
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- 导出  表 fontree-account.real_name 结构
CREATE TABLE IF NOT EXISTS `real_name` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `name` varchar(256) NOT NULL,
  `id_num` varchar(256) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_real_name_deleted_at` (`deleted_at`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
CREATE TABLE `user` (
                        `id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
                        `created_at` DATETIME NULL DEFAULT NULL,
                        `updated_at` DATETIME NULL DEFAULT NULL,
                        `deleted_at` INT(11) NULL DEFAULT '0' COMMENT '删除标志',
                        `account` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `mnemonic_words` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `tel_num` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `password_digest` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `nickname` VARCHAR(256) NOT NULL COLLATE 'utf8_general_ci',
                        `status` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `avatar` VARCHAR(1000) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `real_name_id` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
                        `auth` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
                        `theme_id` BIGINT(20) UNSIGNED NULL DEFAULT NULL,
                        `domain` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `public_key` VARCHAR(256) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `is_need_change` TINYINT(4) NULL DEFAULT '1' COMMENT '是否强制重置密码',
                        `enter_date` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
                        `work_year` FLOAT(3,1) NULL DEFAULT NULL,
	`extend` JSON NULL DEFAULT NULL COMMENT '扩展属性',
	PRIMARY KEY (`id`) USING BTREE,
	UNIQUE INDEX `unqiue_tel` (`domain`, `tel_num`, `deleted_at`) USING BTREE,
	UNIQUE INDEX `account` (`account`, `id`, `deleted_at`) USING BTREE,
	INDEX `idx_user_deleted_at` (`deleted_at`) USING BTREE
)
    COLLATE='utf8_general_ci'
ENGINE=InnoDB
AUTO_INCREMENT=41
;



-- 数据导出被取消选择。

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
INSERT INTO `user` (`id`, `created_at`, `updated_at`, `deleted_at`, `account`, `mnemonic_words`, `tel_num`, `password_digest`, `nickname`, `status`, `avatar`, `real_name_id`, `auth`, `theme_id`, `domain`, `public_key`) VALUES (40, '2022-08-03 06:06:17', '2022-08-04 02:42:17', 0, 'TenaGe8oL5KqsbJgmLFaD1zsyXU6k3Lgs', 'Fe9V/pftKfajtmR55FpMKJuI/9NsCc5Nnfgsxnb9E/IZOK76YGmz2BKDy9v2qqrA', '12233445566', '$2a$12$7C8drxzbuO3jbeMBkmzRfeQYPVJTUWByQcLmG/tljjnhokDEq79RC', '超级管理', 'notactive', '', 0, 0, NULL, 'fontree', '{"Curvname":"P-256","X":78545775124824610215124063665621548167623667204728303094007555226201575072468,"Y":50472501812965014802492291779217782793101961009658062700069826283252860388199}');
