package e

var (
	JWTSecret = []byte("asdfqwer1234")
)
var (
	Acquire_Daily_Login = "daily_login"
	Acquire_Register    = "register"
)

var (
	TimeFormatMin = "2006-01-02 15:04"
)

const (
	Success      = 200
	Error        = 500
	ParamsError  = 400
	InvalidToken = 501
)

const (
	Failed                = 1
	Ok                    = 0
	NotLogin              = 401
	SUCCESS               = 200
	UpdatePasswordSuccess = 201
	DeleteSuccess         = 204
	NotExistInentifier    = 202
	ERROR                 = 500
	InvalidParams         = 400

	//成员错误
	ErrorExistNick          = 10001
	ErrorExistUser          = 10002
	ErrorNotExistUser       = 10003
	ErrorNotCompare         = 10004
	ErrorNotComparePassword = 10005
	ErrorFailEncryption     = 10006
	ErrorNotExistProduct    = 10007
	ErrorNotExistAddress    = 10008
	ErrorExistFavorite      = 10009

	//店家错误
	ErrorBossCheckTokenFail        = 20001
	ErrorBossCheckTokenTimeout     = 20002
	ErrorBossToken                 = 20003
	ErrorBoss                      = 20004
	ErrorBossInsufficientAuthority = 20005
	ErrorBossProduct               = 20006

	//管理员错误
	ErrorAuthCheckTokenFail        = 30001 //token 错误
	ErrorAuthCheckTokenTimeout     = 30002 //token 过期
	ErrorAuthToken                 = 30003
	ErrorAuth                      = 30004
	ErrorAuthInsufficientAuthority = 30005
	ErrorReadFile                  = 30006
	ErrorSendEmail                 = 30007
	ErrorCallApi                   = 30008
	ErrorUnmarshalJson             = 30009
	ErrorAdminFindUser             = 30010
	//数据库错误
	ErrorDatabase = 40001

	//对象存储错误
	ErrorOss        = 50001
	ErrorUploadFile = 50002

	//店铺错误
	ErrorExistShopName    = 60001
	ErrorNotExistShopName = 60002
	ErrorNotAdmin         = 60003

	ErrNoDomain  = 70001
	ErrTelNum    = 70002
	ErrNoCode    = 70003
	ErrNoID      = 70004
	ErrNickName  = 70005
	InvalidID    = 70006
	InvalidPas   = 70007
	ErrStatus    = 70008
	ErrNoType    = 70009
	ErrNoUserID  = 70010
	ErrNoName    = 70011
	ErrNoDepCode = 70012
	ErrNoTitle   = 70013
	ErrNoUrl     = 70014
	ErrNoMethod  = 70015
)
